Page MenuHomePhabricator

"recommendation-api" Cloud VPS project jessie deprecation
Closed, ResolvedPublic

Description

The end of life of Debian Jessie is approaching in 2020 and we need to move to Debian Buster (or Stretch) before that date.

All instances in the recommendation-api project need to upgrade as soon as possible. Instances not upgraded by 2019-12-31 may be subject to deletion unless prior arrangements for an extended deadline has been approved by the Cloud VPS administration team.

Remaining Debian Jessie instances (live report):

Listed administrators are:

See also:

More info on current project instances is available via openstack browser

Event Timeline

StrikerBot triaged this task as Medium priority.Oct 26 2019, 12:33 AM
StrikerBot created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 26 2019, 12:33 AM
bd808 added a comment.Dec 4 2019, 5:48 PM

The Cloud Services team would like to have Debian Jessie systems replaced with Debian Buster (or Stretch if necessary) before 2019-12-31. Please do respond of this task with comments if you know you will not be able to meet that target date or have additional questions about what to do or how to do it. Ideally you will create new instances in your Cloud VPS project, test them, and then migrate any final state data to the new instances before deleting the old Jessie instances. If you need more quota space in your project to create new instances in parallel with your existing instances please create a quota request task describing the increase you need and referencing this deprecation task.

bmansurov added a project: Recommendation-API.
bmansurov moved this task from Backlog to In Progress on the Recommendation-API board.
bmansurov updated the task description. (Show Details)Dec 20 2019, 12:57 AM
bmansurov updated the task description. (Show Details)Dec 20 2019, 7:32 PM

Change 559997 had a related patch set uploaded (by Bmansurov; owner: Bmansurov):
[research/recommendation-api@master] Update code for Debian Buster

https://gerrit.wikimedia.org/r/559997

Change 559999 had a related patch set uploaded (by Bmansurov; owner: Bmansurov):
[research/recommendation-api/wheels@master] Update code for Debian Buster

https://gerrit.wikimedia.org/r/559999

bmansurov updated the task description. (Show Details)Dec 21 2019, 2:12 AM
bmansurov updated the task description. (Show Details)Dec 21 2019, 2:30 AM

For posterity, some notes about tool.recommendation-api.eqiad.wmflabs (as it's being used by ContentTranslation). Here's the results of pinging https://recommend.wmflabs.org/types/translation/v1/articles?source=es&target=ca&seed=Cascada%7CLuxemburgo&search=related_articles&application=CX before and after the upgrade:

*Before*

[
  {
    "wikidata_id": "Q968640",
    "title": "Río_Klamath",
    "pageviews": 63,
    "rank": 498
  },
  {
    "wikidata_id": "Q3695481",
    "title": "Cataratas_de_Amagoi",
    "pageviews": 7,
    "rank": 496
  },
  {
    "wikidata_id": "Q7511699",
    "title": "Sierra_del_Burro",
    "pageviews": 54,
    "rank": 495
  },
  {
    "wikidata_id": "Q6117573",
    "title": "Saltos_del_Tabay",
    "pageviews": 102,
    "rank": 494
  },
  {
    "wikidata_id": "Q2679759",
    "title": "Puente_Internacional_Tancredo_Neves",
    "pageviews": 219,
    "rank": 493
  },
  {
    "wikidata_id": "Q3151751",
    "title": "Instituto_Internacional_de_Derechos_Humanos",
    "pageviews": 76,
    "rank": 493
  },
  {
    "wikidata_id": "Q12201544",
    "title": "Río_Parrita",
    "pageviews": 32,
    "rank": 492
  },
  {
    "wikidata_id": "Q7650614",
    "title": "Río_Luján",
    "pageviews": 390,
    "rank": 491
  },
  {
    "wikidata_id": "Q5555615",
    "title": "Áreas_protegidas_de_República_Dominicana",
    "pageviews": 2229,
    "rank": 488
  },
  {
    "wikidata_id": "Q6115927",
    "title": "Río_el_Volcán_(Maipo)",
    "pageviews": 65,
    "rank": 487
  },
  {
    "wikidata_id": "Q2302661",
    "title": "Río_Grande_de_Santiago",
    "pageviews": 1414,
    "rank": 486
  },
  {
    "wikidata_id": "Q4848315",
    "title": "Bailemos_un_vals",
    "pageviews": 79,
    "rank": 486
  }
]

*After*:

[
  {
    "pageviews": 63,
    "title": "Río_Klamath",
    "wikidata_id": "Q968640",
    "rank": 498
  },
  {
    "pageviews": 7,
    "title": "Cataratas_de_Amagoi",
    "wikidata_id": "Q3695481",
    "rank": 496
  },
  {
    "pageviews": 54,
    "title": "Sierra_del_Burro",
    "wikidata_id": "Q7511699",
    "rank": 495
  },
  {
    "pageviews": 102,
    "title": "Saltos_del_Tabay",
    "wikidata_id": "Q6117573",
    "rank": 494
  },
  {
    "pageviews": 219,
    "title": "Puente_Internacional_Tancredo_Neves",
    "wikidata_id": "Q2679759",
    "rank": 493
  },
  {
    "pageviews": 76,
    "title": "Instituto_Internacional_de_Derechos_Humanos",
    "wikidata_id": "Q3151751",
    "rank": 493
  },
  {
    "pageviews": 32,
    "title": "Río_Parrita",
    "wikidata_id": "Q12201544",
    "rank": 492
  },
  {
    "pageviews": 390,
    "title": "Río_Luján",
    "wikidata_id": "Q7650614",
    "rank": 491
  },
  {
    "pageviews": 2229,
    "title": "Áreas_protegidas_de_República_Dominicana",
    "wikidata_id": "Q5555615",
    "rank": 488
  },
  {
    "pageviews": 65,
    "title": "Río_el_Volcán_(Maipo)",
    "wikidata_id": "Q6115927",
    "rank": 487
  },
  {
    "pageviews": 1414,
    "title": "Río_Grande_de_Santiago",
    "wikidata_id": "Q2302661",
    "rank": 486
  },
  {
    "pageviews": 79,
    "title": "Bailemos_un_vals",
    "wikidata_id": "Q4848315",
    "rank": 486
  }
]

They look identical to me.

bmansurov updated the task description. (Show Details)Dec 21 2019, 8:09 PM

Notes about https://recommend-alpha.wmflabs.org/missing_sections. Before upgrading I see the following error (which needs to be fixed separately):

{"message":"Internal Server Error"}

Other parts seem to work fine.

bmansurov updated the task description. (Show Details)Dec 21 2019, 8:33 PM
bmansurov moved this task from In Progress to Done on the Recommendation-API board.

Install scripts in two repositories have been updated (see above comments with Gerrit patch links). I'll try to merge them when I get my merge rights back. For now all Jessie instances have been ported to Buster.

bd808 closed this task as Resolved.Jan 1 2020, 7:25 PM

Change 559999 merged by Bmansurov:
[research/recommendation-api/wheels@master] Update code for Debian Buster

https://gerrit.wikimedia.org/r/559999

Change 559997 merged by jenkins-bot:
[research/recommendation-api@master] Update code for Debian Buster

https://gerrit.wikimedia.org/r/559997